summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD19
1 files changed, 19 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4487d2e3518
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,19 @@
+# Contributor: Jonathan Liu <net147@gmail.com>
+pkgname=libcm
+pkgver=0.1.1
+pkgrel=1
+pkgdesc="A compositing manager library"
+arch=(i686 x86_64)
+url="http://ftp.gnome.org/pub/GNOME/sources/libcm/"
+license=('GPL')
+depends=('glib2' 'libgl' 'libxcomposite' 'libxdamage' 'mesa')
+options=(!libtool)
+source=(http://ftp.gnome.org/pub/GNOME/sources/libcm/0.1/$pkgname-$pkgver.tar.bz2)
+md5sums=('a975d0a913dd882c0a93487b534782bc')
+
+build() {
+ cd "$startdir/src/$pkgname-$pkgver"
+ ./configure --prefix=/usr --disable-static
+ make || return 1
+ make DESTDIR="$startdir/pkg" install
+}